<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/demo_layout_pay"
        android:layout_alignParentRight="true"
        android:layout_marginTop="20dp"
        android:fadeScrollbars="true"
        android:scrollbars="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginRight="20dp"
            android:gravity="left"
            android:orientation="vertical">

            <Button
                android:id="@+id/role_income_update"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="货币变更-logid=91" />

            <Button
                android:id="@+id/role_item_update"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="虚拟物品变更-logid=9" />

            <Button
                android:id="@+id/role_prop_update"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="玩家属性变更-logid=10" />

            <Button
                android:id="@+id/role_item_prop_update"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="玩家商品属性变更-logid=13" />

            <Button
                android:id="@+id/role_card_prop_update"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="玩家卡牌属性变更-logid=14" />


            <Button
                android:id="@+id/role_task"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="任务-logid=1001" />

            <Button
                android:id="@+id/role_stage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="副本场景-logid=1002" />

            <Button
                android:id="@+id/role_act"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="玩家自定义事件-logid=1003" />

            <Button
                android:id="@+id/role_interact"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="玩家自定义交互事件-logid=2001" />

            <Button
                android:id="@+id/resource_update_start"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="游戏热更数据下载开始-logid=4009" />

            <Button
                android:id="@+id/resource_update_success"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="游戏热更数据下载成功-logid=4009" />
            <Button
                android:id="@+id/resource_update_fail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="游戏热更数据下载失败-logid=4009" />

            <Button
                android:id="@+id/resource_unzip_start"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="游戏热更数据解压开始-logid=4009" />

            <Button
                android:id="@+id/resource_unzip_success"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="游戏热更数据解压成功-logid=4009" />
            <Button
                android:id="@+id/resource_unzip_fail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="游戏热更数据解压失败-logid=4009" />

            <Button
                android:id="@+id/game_select_server_success"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="选服日志成功-logid=4007" />

            <Button
                android:id="@+id/game_select_server_fail"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="选服日志失败-logid=4007" />

            <Button
                android:id="@+id/game_sdk_debug"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="sdkdebug-logid=2990" />

            <Button
                android:id="@+id/game_sdk_point"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="sdk流程日志-logid=2991" />

        </LinearLayout>
    </ScrollView>
</LinearLayout>
